Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations KootK on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Curve width

Status
Not open for further replies.

niedzviedz

Mechanical
Apr 1, 2012
307
Hello,

Is there any way to get the real curve width by nxopen?

Code:
DisplayableObject.linewidth

return values from 5-13 for example:

Code:
NXOpen.DisplayableObject.ObjectWidth.Six

How to convert it real value like "0,18 mm"?

With best regards
Michael
 
Replies continue below

Recommended for you

record a journal
and interactivity browse the
preferences to line width.
 

displayModification1.NewWidth = NXOpen.DisplayableObject.ObjectWidth.One
displayModification1.NewWidth = NXOpen.DisplayableObject.ObjectWidth.Two
displayModification1.NewWidth = NXOpen.DisplayableObject.ObjectWidth.Three
displayModification2.NewWidth = NXOpen.DisplayableObject.ObjectWidth.Four
displayModification3.NewWidth = NXOpen.DisplayableObject.ObjectWidth.Five


 
try something like this

' NX 11.0.0.33
' Journal created by haviv2 on Wed Oct 28 08:40:00 2020 Jerusalem Standard Time
'
Imports System
Imports NXOpen

Module NXJournal
Sub Main (ByVal args() As String)

Dim theSession As NXOpen.Session = NXOpen.Session.GetSession()
Dim workPart As NXOpen.Part = theSession.Parts.Work

Dim displayPart As NXOpen.Part = theSession.Parts.Display

' ----------------------------------------------
' Menu: File->Utilities->Customer Defaults...
' ----------------------------------------------
' ----------------------------------------------
' Dialog Begin Customer Defaults
' ----------------------------------------------
' ----------------------------------------------
' Dialog Begin Customer Defaults
' ----------------------------------------------
Dim changeList1 As NXOpen.Options.ChangeList = Nothing
changeList1 = theSession.OptionsManager.NewOptionsChangeList(NXOpen.Options.LevelType.User, NXOpen.Options.LevelLockedByDefault.False)

changeList1.SetValue("UG_lineWidth1Name", "0.1300 mm")

changeList1.Save()

changeList1.Dispose()
' ----------------------------------------------
' Menu: Tools->Journal->Stop Recording
' ----------------------------------------------

End Sub
End Module
 
sorry I think that there is no way
to reach the list of widths.

you can make your list
but that's can be changed by Siemens
 
In NX the objects does/does not carry the actual width in mm or Inches. ( ?)

The width in mm is mapped when printing /plotting/displaying via the defaults for that "specific Operation".

Way back in time, NX had three widths, thin, medium, Thick which had corresponding numbers something like thin = 1, medium =3 and Thick = 2 ( these numbers are from my memory and probably in the wrong order)
When you were about to plot, you placed a thin pen ( =0.18 mm) in the pen carousel of the plotter in the slot # 1, a medium pen ( = 0.35 mm) in the pen holder #3 etc
the actual widths on the plotted paper was depending on that you picked the correct pen and placed that in the correct slot in the carousel.

I would guess though that NX internally uses the current 1-9 definition and that the "mm" - mapping will occur only when needed.
Print/plot/export to pdf/export to .../ etc

Regards,
Tomas



 

in nx exist a list og widths in mm
but it's not reachable.


Code:
changeList1.SetValue("UG_lineWidth1Name", "0.1300 mm")
 
On customer defaults I found this:

pic1_sjz1pe.png


But lines created on file has values from 5 to 13. I'm not sure if I open file from created on different computer I will get the same values.

With best regards
Michael
 
The code below reports some of the line width options for the current session. I'm not sure how to interpret the conversion values...

Code:
Option Strict Off
Imports System
Imports NXOpen
Imports NXOpen.UF

Module Module1

    Dim theSession As Session = Session.GetSession()
    Dim theUfSession As UFSession = UFSession.GetUFSession()

    Dim theUI As UI = UI.GetUI()
    Dim lw As ListingWindow = theSession.ListingWindow

    Sub Main()

        Dim markId1 As Session.UndoMarkId
        markId1 = theSession.SetUndoMark(Session.MarkVisibility.Visible, "NXJ")

        lw.Open()

        Try

            ListOption("UG_lineWidth1Name")
            ListOption("UG_lineWidth2Name")
            ListOption("UG_lineWidth3Name")
            ListOption("UG_lineWidth4Name")
            ListOption("UG_lineWidth5Name")
            ListOption("UG_lineWidth6Name")
            ListOption("UG_lineWidth7Name")
            ListOption("UG_lineWidth8Name")
            ListOption("UG_lineWidth9Name")
            ListOption("UG_thinLineWidthToNewLineWidth")
            ListOption("UG_normalLineWidthToNewLineWidth")
            ListOption("UG_thickLineWidthToNewLineWidth")
            ListOption("UG_plot_custom_thin_width_name")
            ListOption("UG_plot_custom_thin_width_MU")
            ListOption("UG_plot_custom_thin_width_EU")
            ListOption("UG_plot_custom_normal_width_name")
            ListOption("UG_plot_custom_normal_width_MU")
            ListOption("UG_plot_custom_normal_width_EU")
            ListOption("UG_plot_custom_thick_width_name")
            ListOption("UG_plot_custom_thick_width_MU")
            ListOption("UG_plot_custom_thick_width_EU")
            ListOption("UG_plot_custom_width1_width_name")
            ListOption("UG_plot_custom_width1_width_MU")
            ListOption("UG_plot_custom_width1_width_EU")
            ListOption("UG_plot_custom_width2_width_name")
            ListOption("UG_plot_custom_width2_width_MU")
            ListOption("UG_plot_custom_width2_width_EU")
            ListOption("UG_plot_custom_width3_width_name")
            ListOption("UG_plot_custom_width3_width_MU")
            ListOption("UG_plot_custom_width3_width_EU")
            ListOption("UG_plot_custom_width4_width_name")
            ListOption("UG_plot_custom_width4_width_MU")
            ListOption("UG_plot_custom_width4_width_EU")
            ListOption("UG_plot_custom_width5_width_name")
            ListOption("UG_plot_custom_width5_width_MU")
            ListOption("UG_plot_custom_width5_width_EU")
            ListOption("UG_plot_custom_width6_width_name")
            ListOption("UG_plot_custom_width6_width_MU")
            ListOption("UG_plot_custom_width6_width_EU")
            ListOption("UG_plot_custom_width7_width_name")
            ListOption("UG_plot_custom_width7_width_MU")
            ListOption("UG_plot_custom_width7_width_EU")
            ListOption("UG_plot_custom_width8_width_name")
            ListOption("UG_plot_custom_width8_width_MU")
            ListOption("UG_plot_custom_width8_width_EU")
            ListOption("UG_plot_custom_width9_width_name")
            ListOption("UG_plot_custom_width9_width_MU")
            ListOption("UG_plot_custom_width9_width_EU")
            ListOption("UG_widthDisplay")
            ListOption("UG_widthSizingMethod")
            ListOption("UG_widthScale")
            ListOption("UG_pixelWidth1")
            ListOption("UG_pixelWidth2")
            ListOption("UG_pixelWidth3")
            ListOption("UG_pixelWidth4")
            ListOption("UG_pixelWidth5")
            ListOption("UG_pixelWidth6")
            ListOption("UG_pixelWidth7")
            ListOption("UG_pixelWidth8")
            ListOption("UG_pixelWidth9")

        Catch ex As NXException
            theSession.UndoToMark(markId1, "NXJ")
            MsgBox(ex.Message)

        Finally

        End Try


        lw.Close()

    End Sub

    Sub ListOption(ByVal theOption As String)

        lw.WriteLine(theOption)
        'lw.WriteLine("value set at site level: " & theSession.OptionsManager.IsValueSet(theOption, Options.LevelType.Site).ToString)
        'lw.WriteLine("locked at site level: " & theSession.OptionsManager.IsValueLocked(theOption, Options.LevelType.Site))

        'lw.WriteLine("option type: " & theSession.OptionsManager.GetOptionType(theOption).ToString)
        Select Case theSession.OptionsManager.GetOptionType(theOption)
            Case Is = Options.OptionType.String
                lw.WriteLine("site level value: " & theSession.OptionsManager.GetStringValue(theOption, Options.LevelType.Site))

            Case Is = Options.OptionType.Int
                lw.WriteLine("site level value: " & theSession.OptionsManager.GetIntValue(theOption, Options.LevelType.Site))

            Case Is = Options.OptionType.Real
                lw.WriteLine("site level value: " & theSession.OptionsManager.GetRealValue(theOption, Options.LevelType.Site))

            Case Is = Options.OptionType.Logical
                lw.WriteLine("site level value: " & theSession.OptionsManager.GetLogicalValue(theOption, Options.LevelType.Site))

            Case Else
                'skip other types for now...
                lw.WriteLine("option type not accounted for: " & theSession.OptionsManager.GetOptionType(theOption).ToString)

        End Select

        lw.WriteLine("")

    End Sub

    Public Function GetUnloadOption(ByVal dummy As String) As Integer

        'Unloads the image immediately after execution within NX
        GetUnloadOption = NXOpen.Session.LibraryUnloadOption.Immediately

    End Function

End Module

www.nxjournaling.com
 
What is the purpose of the original question ?

Mathematically a line does not have a thickness, there is no thickness on a vector, the thickness in NX is assigned for the only purpose of display and plotting.
thereby the thickness can be added "late in the process", i.e when displaying the computed object or printing.

Regards,
Tomas

 
@Cowski thank for the code. I will check it and write some review after that.

@Toost I know that Line, point or surface has no thickness, but in NX You can set width for representation. I writing journal to show selected curve properties like color, layer, type (solid, centreline, dotted) and width, because sometimes when I open documentation from different company or when I create for example symbolic thread on part and go to assembly, the lines are thick. I know I can use edit object display to check it and correct it, but I wanna do It faster but journal.
Right now I only have values for example DisplayableObject.ObjectWidth.Five, but in edit object display I get 0,13 mm.

With best regards
Michael
 
Hello everybody,

@cowski thank for Your code, it help me alot.

Finally I found some time to finish it. I figure it out:

Code:
.linewidth

show values from 5-13, but

Code:
NXOpen.DisplayableObject.ObjectWidth

needs values from 1-9 or thick, thin and normal.

Below is my code. Maybe it will be usefull to someone.

Code:
Option Strict Off

Imports System
Imports System.Windows.Forms
Imports System.Drawing
Imports NXOpen
Imports NXOpen.UF

Module Module1

	Dim red As Integer 
	Dim green As Integer
	Dim blue As Integer
	Dim ColorNo as String
	Dim ColorName as String
	Dim LW1 as String
	Dim LW2 as String
	Dim LW3 as String
	Dim LW4 as String
	Dim LW5 as String
	Dim LW6 as String
	Dim LW7 as String
	Dim LW8 as String
	Dim LW9 as String
	
Sub Main()

	Dim theSession As Session = Session.GetSession()
	Dim theUFSession As UFSession = UFSession.GetUFSession
	Dim lw As ListingWindow = theSession.ListingWindow

	Dim myObj As NXObject
	Dim myDispObj As DisplayableObject
	Dim myForm1 As New Form1
	Dim MyFont as String
	Dim MyWidth as String
	
	LW1 = theSession.OptionsManager.GetStringValue("UG_lineWidth1Name", Options.LevelType.Site)
	LW2 = theSession.OptionsManager.GetStringValue("UG_lineWidth2Name", Options.LevelType.Site)
	LW3 = theSession.OptionsManager.GetStringValue("UG_lineWidth3Name", Options.LevelType.Site)
	LW4 = theSession.OptionsManager.GetStringValue("UG_lineWidth4Name", Options.LevelType.Site)
	LW5 = theSession.OptionsManager.GetStringValue("UG_lineWidth5Name", Options.LevelType.Site)
	LW6 = theSession.OptionsManager.GetStringValue("UG_lineWidth6Name", Options.LevelType.Site)
	LW7 = theSession.OptionsManager.GetStringValue("UG_lineWidth7Name", Options.LevelType.Site)
	LW8 = theSession.OptionsManager.GetStringValue("UG_lineWidth8Name", Options.LevelType.Site)
	LW9 = theSession.OptionsManager.GetStringValue("UG_lineWidth9Name", Options.LevelType.Site)
	
	'lw.open 
	
	'lw.writeline("1: " & lw1) 
	'lw.writeline("2: " & lw2)
	'lw.writeline("3: " & lw3)
	'lw.writeline("4: " & lw4) 
	'lw.writeline("5: " & lw5)
	'lw.writeline("6: " & lw6)
	'lw.writeline("7: " & lw7) 
	'lw.writeline("8: " & lw8)
	'lw.writeline("9: " & lw9)
	
	
	'exit sub
		
	Do Until SelectAnObject(myObj) = Selection.Response.Cancel

		myDispObj = DirectCast(myObj, DisplayableObject)

		ColorNo = myDispObj.Color	
		Dim myColor As NXColor
		Myfont = myDispObj.linefont
		MyWidth = myDispObj.linewidth
		'MyWidth = myDispObj.ObjectWidth
	
		'lw.writeline(MyWidth)
	
		myColor = theSession.Parts.Work.Colors.Find(myDispObj.Color)
		ColorNAme = myColor.Label	

		Dim red As Integer = myColor.GetRgb.R * 255
		Dim green As Integer = myColor.GetRgb.G * 255
		Dim blue As Integer = myColor.GetRgb.B * 255

		myform1.ColorNo = ColorNo
		myform1.ColorName = ColorName
		myform1.Red = Red
		myform1.Green = Green
		myform1.Blue = Blue
		myForm1.MyFont = MyFont
		myform1.MyWidth = MyWidth
		
		myform1.LW1 = LW1
		myform1.LW2 = LW2
		myform1.LW3 = LW3
		myform1.LW4 = LW4
		myform1.LW5 = LW5
		myform1.LW6 = LW6
		myform1.LW7 = LW7
		myform1.LW8 = LW8
		myform1.LW9 = LW9
	
		myForm1.ShowDialog()

		If myForm1.Canceled Then

			'Exit sub	
			Return

		Else

		End If

	Loop
	
	'lw.close
	
End Sub


Function SelectAnObject(ByRef selObj As NXObject) As Selection.Response

	Dim prompt As String = "Choose a curve:"
	Dim theUI As UI = UI.GetUI
	Dim cursor As Point3d
	Dim typeArray() As Selection.SelectionType = {Selection.SelectionType.Curves}

	Dim resp As Selection.Response = theUI.SelectionManager.SelectObject( _
		prompt, "Choose a curve", _
		Selection.SelectionScope.AnyInAssembly, _
		False, typeArray, selObj, cursor)

	If resp = Selection.Response.ObjectSelected Or _
		resp = Selection.Response.ObjectSelectedByName Then
		
		Return Selection.Response.Ok
	
	Else

		Return Selection.Response.Cancel

	End If

End Function

Public Function GetUnloadOption(ByVal dummy As String) As Integer

	'Unloads the image when the NX session terminates
	GetUnloadOption = NXOpen.Session.LibraryUnloadOption.AtTermination

End Function

End Module 


Public Class Form1

	Public Red As Integer
	Public Green As Integer
	Public Blue As Integer
	Public ColorNo as String
	Public ColorName as String	
	Public MyFont as String
	Public MyWidth as Integer
    Public LW1, LW2, LW3, LW4, LW5, LW6, LW7, LW8, LW9 as String 
	
	
Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click

	Me.Close()

End Sub

Private Sub Button3_Click(sender As Object, e As EventArgs) Handles Button3.Click

	_canceled = True
	Me.Close()

End Sub

Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load

    For Each c As Control In Controls
        AddHandler c.MouseClick, AddressOf ClickHandler
    Next
	
	Label4.Text = ""
	Label5.Text = ""
	Label7.Text = ""
	Label10.Text = ""
	Label11.Text = ""
	colorchange()	

End Sub

Private Sub colorchange()

	Label4.Text = ColorNo
	Label5.Text = ColorName
	Label7.Text = Red & ", " & Green & ", " & Blue
	
	If MyFont = "1" then

		Label10.Text = "Solid"
		
	elseif 	MyFont = "2" then

		Label10.Text = "Dashed"
		
	elseif 	MyFont = "3" then

		Label10.Text = "Phantom"	
		
	elseif 	MyFont = "4" then

		Label10.Text = "Centerline"

	elseif 	MyFont = "5" then

		Label10.Text = "Dotted"
	
	elseif 	MyFont = "6" then

		Label10.Text = "Long Dashed"
	
	elseif 	MyFont = "7" then

		Label10.Text = "Dotted Dashed"
	
	End if
	
	if MyWidth = 5 then 	
	
		Label11.Text = LW1

	elseif MyWidth = 6 then
	
		Label11.Text = LW2
	
	elseif MyWidth = 7 then
	
		Label11.Text = LW3

	elseif MyWidth = 8 then
	
		Label11.Text = LW4
	
	elseif MyWidth = 9 then
	
		Label11.Text = LW5

	elseif MyWidth = 10 then
	
		Label11.Text = LW6
	
	elseif MyWidth = 11 then
	
		Label11.Text = LW7
		
	elseif MyWidth = 12 then
	
		Label11.Text = LW8
	
	elseif MyWidth = 13 then
	
		Label11.Text = LW9

	end if
	
	
	Button2.BackColor = Color.FromArgb(255, Red, Green, Blue)

End Sub

Private Sub ClickHandler(sender As Object, e As MouseEventArgs) Handles Me.MouseClick

	'Label1.Text = String.Format("{0}", e.Button.ToString.ToLower)
	
   if e.Button = MouseButtons.Middle then
	
		'Label2.Text = "Middle"
		SendKeys.Send("{ENTER}")
		
	end if
	
End Sub

Private _canceled As Boolean = False
Public ReadOnly Property Canceled() As Boolean
	
	Get
	
		Return _canceled
		
	End Get
		
End Property

End Class

<Global.Microsoft.VisualBasic.CompilerServices.DesignerGenerated()> _
Partial Class Form1
Inherits System.Windows.Forms.Form

<System.Diagnostics.DebuggerNonUserCode()> _
Protected Overrides Sub Dispose(ByVal disposing As Boolean)

	Try

		If disposing AndAlso components IsNot Nothing Then
		
			components.Dispose()
			
		End If
		
		Finally
	
			MyBase.Dispose(disposing)
		
	End Try

End Sub

Protected Overrides ReadOnly Property CreateParams() As System.Windows.Forms.CreateParams

	Get
	
		Dim param As System.Windows.Forms.CreateParams = MyBase.CreateParams
		param.ClassStyle = param.ClassStyle Or &H200
		Return param
		
	End Get
	
End Property


Private components As System.ComponentModel.IContainer


<System.Diagnostics.DebuggerStepThrough()> _
Private Sub InitializeComponent()

	Me.Label1 = New System.Windows.Forms.Label()
	Me.Label2 = New System.Windows.Forms.Label()
	Me.Label3 = New System.Windows.Forms.Label()
	Me.Label4 = New System.Windows.Forms.Label()
	Me.Label5 = New System.Windows.Forms.Label()
	Me.Label6 = New System.Windows.Forms.Label()
	Me.Label7 = New System.Windows.Forms.Label()
	Me.Label8 = New System.Windows.Forms.Label()
	Me.Label9 = New System.Windows.Forms.Label()
	Me.Label10 = New System.Windows.Forms.Label()
	Me.Label11 = New System.Windows.Forms.Label()
	Me.Button1 = New System.Windows.Forms.Button()
	Me.Button2 = New System.Windows.Forms.Button()
	Me.Button3 = New System.Windows.Forms.Button()
	Me.SuspendLayout()
	'
	'Label1
	'
	Me.Label1.AutoSize = True
	Me.Label1.Location = New System.Drawing.Point(10, 10)
	Me.Label1.Name = "Label1"
	Me.Label1.Size = New System.Drawing.Size(134, 25)
	Me.Label1.TabIndex = 0
	Me.Label1.Text = "Color Number:"
	'
	'Label2
	'
	Me.Label2.AutoSize = True
	Me.Label2.Location = New System.Drawing.Point(10, 38)
	Me.Label2.Name = "Label2"
	Me.Label2.Size = New System.Drawing.Size(136, 25)
	Me.Label2.TabIndex = 0
	Me.Label2.Text = "Color name:"
	'
	'Label3
	'
	Me.Label3.AutoSize = True
	Me.Label3.Location = New System.Drawing.Point(10, 66)
	Me.Label3.Name = "Label3"
	Me.Label3.Size = New System.Drawing.Size(64, 25)
	Me.Label3.TabIndex = 0
	Me.Label3.Text = "Color:"
	'
	'Label4
	'
	Me.Label4.AutoSize = True
	Me.Label4.Location = New System.Drawing.Point(110, 10)
	Me.Label4.Name = "Label4"
	Me.Label4.Size = New System.Drawing.Size(45, 25)
	Me.Label4.TabIndex = 0
	Me.Label4.Text = ""
	'
	'Label5
	'
	Me.Label5.AutoSize = True
	Me.Label5.Location = New System.Drawing.Point(110, 38)
	Me.Label5.Name = "Label5"
	Me.Label5.Size = New System.Drawing.Size(40, 25)
	Me.Label5.TabIndex = 0
	Me.Label5.Text = ""
	'
	'Label6
	'
	Me.Label6.AutoSize = True
	Me.Label6.Location = New System.Drawing.Point(10, 94)
	Me.Label6.Name = "Label6"
	Me.Label6.Size = New System.Drawing.Size(40, 25)
	Me.Label6.TabIndex = 0
	Me.Label6.Text = "RGB:"
	'
	'Label7
	'
	Me.Label7.AutoSize = True
	Me.Label7.Location = New System.Drawing.Point(110, 94)
	Me.Label7.Name = "Label7"
	Me.Label7.Size = New System.Drawing.Size(40, 25)
	Me.Label7.TabIndex = 0
	Me.Label7.Text = ""
	'
	'Label8
	'
	Me.Label8.AutoSize = True
	Me.Label8.Location = New System.Drawing.Point(10, 122)
	Me.Label8.Name = "Label8"
	Me.Label8.Size = New System.Drawing.Size(40, 25)
	Me.Label8.TabIndex = 0
	Me.Label8.Text = "Type:"
	'
	'Label9
	'
	Me.Label9.AutoSize = True
	Me.Label9.Location = New System.Drawing.Point(10, 150)
	Me.Label9.Name = "Label9"
	Me.Label9.Size = New System.Drawing.Size(40, 25)
	Me.Label9.TabIndex = 0
	Me.Label9.Text = "Thickness:"
	'
	'Label10
	'
	Me.Label10.AutoSize = True
	Me.Label10.Location = New System.Drawing.Point(110, 122)
	Me.Label10.Name = "Label10"
	Me.Label10.Size = New System.Drawing.Size(40, 25)
	Me.Label10.TabIndex = 0
	Me.Label10.Text = ""
	'
	'Label11
	'
	Me.Label11.AutoSize = True
	Me.Label11.Location = New System.Drawing.Point(110, 150)
	Me.Label11.Name = "Label11"
	Me.Label11.Size = New System.Drawing.Size(40, 25)
	Me.Label11.TabIndex = 0
	Me.Label11.Text = ""
	'
	'Button1
	'
	Me.Button1.Location = New System.Drawing.Point(20, 176)
	Me.Button1.Name = "Button1"
	Me.Button1.Size = New System.Drawing.Size(80, 22)
	Me.Button1.TabIndex = 2
	Me.Button1.Text = "Next"
	Me.Button1.UseVisualStyleBackColor = True
	'
	'Button2
	'
	Me.Button2.Location = New System.Drawing.Point(110, 66)
	Me.Button2.Enabled = false
	Me.Button2.Flatstyle = FlatStyle.flat
	Me.Button2.Name = "Button2"
	Me.Button2.Size = New System.Drawing.Size(85, 20)
	Me.Button2.TabIndex = 0
	Me.Button2.UseVisualStyleBackColor = True
	'
	'Button3
	'
	Me.Button3.Location = New System.Drawing.Point(120, 176)
	Me.Button3.Name = "Button3"
	Me.Button3.Size = New System.Drawing.Size(80, 22)
	Me.Button3.TabIndex = 1
	Me.Button3.Text = "Cancel"
	Me.Button3.UseVisualStyleBackColor = True
	'
	'Form1
	'
	Me.AutoScaleDimensions = New System.Drawing.SizeF(8.0!, 16.0!)
	Me.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font
	Me.ClientSize = New System.Drawing.Size(230, 250)
	Me.Controls.Add(Me.Button3)
	Me.Controls.Add(Me.Button2)
	Me.Controls.Add(Me.Button1)
	Me.Controls.Add(Me.Label11)
	Me.Controls.Add(Me.Label10)
	Me.Controls.Add(Me.Label9)
	Me.Controls.Add(Me.Label8)
	Me.Controls.Add(Me.Label7)
	Me.Controls.Add(Me.Label6)
	Me.Controls.Add(Me.Label5)
	Me.Controls.Add(Me.Label4)
	Me.Controls.Add(Me.Label3)
	Me.Controls.Add(Me.Label2)
	Me.Controls.Add(Me.Label1)
	Me.AcceptButton = Button1	
	Me.CancelButton = Button3 
	Me.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.75!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(238, Byte))
	Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Sizable
	Me.MaximumSize = New System.Drawing.Size(230, 250)
	Me.MinimumSize = New System.Drawing.Size(230, 250)
	Me.MaximizeBox = False
	Me.MinimizeBox = False
	Me.Name = "Form1"
	Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
	Me.Text = "Curve Color"
	Me.ResumeLayout(False)
	Me.PerformLayout()

End Sub

	Friend WithEvents Label1 As Label
	Friend WithEvents Label2 As Label
	Friend WithEvents Label3 As Label
	Friend WithEvents Label4 As Label
	Friend WithEvents Label5 As Label
	Friend WithEvents Label6 As Label
	Friend WithEvents Label7 As Label
	Friend WithEvents Label8 As Label
	Friend WithEvents Label9 As Label
	Friend WithEvents Label10 As Label
	Friend WithEvents Label11 As Label
	Friend WithEvents Button1 As Button
	Friend WithEvents Button2 As Button
	Friend WithEvents Button3 As Button

End Class


With best regards
Michael
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor